KILLALL(1)

NAME
killall - kill processes by name

SYNOPSIS
killall [-eiqv] [-signal] name ...
killall -l
killall -V

DESCRIPTION
killall sends a signal to all processes running any of the specified commands. If no signal name is specified, SIGTERM is sent.

Signals can be specified either by name (e.g. -HUP) or by number (e.g. -1). Signal 0 (check if a process exists) can only be specified by number.

If the command name contains a slash (/), processes executing that particular file will be selected for killing, independent of their name.

killall returns a non-zero return code if no process has been killed for any of the listed commands. If at least one process has been killed for each command, killall returns zero.

A killall process never kills itself (but may kill other killall processes).

OPTIONS

-e  Require an exact match for very long names. If a command name is longer than 15 characters, the full name may be unavailable (i.e. it is swapped out). In this case, killall will kill everything that matches within the first 15 characters. With -e, such entries are skipped. killall prints a message for each skipped entry if -v is specified in addition to -e,

-i  Interactively ask for confirmation before killing.

-l  List all known signal names.

-q  Do not complain of no processes were killed.

-v  Report if the signal was successfully sent.

-V  Display version information.

FILES
/proc	location of the proc file system

KNOWN BUGS
Killing by file only works for executables that are kept open during execution, i.e. impure executables can't be killed this way.

Be warned that typing killall name may not have the desired effect on non-Linux systems, especially when done by a privileged user.

AUTHOR
Werner Almesberger <werner.almesberger@lrc.di.epfl.ch>

SEE ALSO
kill(1), fuser(1), pidof(1), ps(1), kill(2)